﻿.footer-container {
    position: relative;
    background-image: url('../files/footer/footerbgimage.webp');
    width: 100%;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    background-attachment: fixed;
    overflow: hidden;
}

/* Mobile fix */
@media (max-width: 768px) {
    .footer-container {
        background-attachment: scroll;
    }

        .footer-container .main-container .footer-about {
            padding-right: 0px !important;
        }
}


.footer-container .main-container {
    padding: 50px 0px;
}

.footer-container ul.contact-details {
    list-style-type: none;
    padding: 10px;
    color: white;
    font-size: 17px !important;
    font-weight: 600;
    margin-top: 10px;
}

    .footer-container ul.contact-details li {
        margin-bottom: 20px
    }


        .footer-container ul.contact-details li a {
            text-decoration: none;
            color: white;
            font-weight: 300 !important;
        }

        .footer-container ul.contact-details li img {
            width: 22px;
            margin-right: 10px;
            filter: brightness(0) invert(1);
        }

        .footer-container ul.contact-details li.social-media {
            margin-top: 0px;
            display: flex;
            gap: 20px;
        }


            .footer-container ul.contact-details li.social-media a {
                display: flex;
                justify-content: center;
                align-items: center;
                padding: 10px;
                border-radius: 50px;
                background-color: var(--primary-color-1);
                transition: all .4s ease-in-out;
            }

                .footer-container ul.contact-details li.social-media a:hover {
                    background-color: var(--primary-color);
                }


                .footer-container ul.contact-details li.social-media a img {
                    margin: 0;
                }

.footer-container .f-link {
    color: white;
    font-weight: 500;
}

.footer-container .quick-links {
    margin-left: 30px !important;
}

    .footer-container .quick-links h5 {
        color: white;
        font-weight: 500;
    }

    .footer-container .quick-links ul {
        list-style-type: none;
        font-size: 17px !important;
        padding: 5px;
    }

        .footer-container .quick-links ul li {
            list-style-type: none;
            margin-top: 10px;
        }

            .footer-container .quick-links ul li a {
                text-decoration: none;
                color: white;
                font-weight: 300 !important;
                transition: all .4s ease-in-out;
            }

            .footer-container .quick-links ul li img {
                width: 15px !important;
                margin-right: 10px;
            }


            .footer-container .quick-links ul li a:hover {
                color: var(--primary-color);
            }

.footer-container .get-in-touch {
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
    background-color: var(--primary-color-1);
    padding: 18px 22px;
    border-radius: 10px;
}

    .footer-container .get-in-touch h5 {
        color: white;
        font-weight: 600;
        font-size: 20px;
        text-align: center;
    }

    .footer-container .get-in-touch input {
        width: 100%;
        padding: 10px;
        color: var(--primary-color);
        background-color: var(--primary-color-1);
        border: 1px solid var(--primary-color);
    }

        .footer-container .get-in-touch input::placeholder {
            color: var(--primary-color);
            opacity: 1; /* important for Firefox */
        }


    .footer-container .get-in-touch button {
        width: 100%;
        padding: 10px;
        border: 0;
        background-color: var(--primary-color);
        color: white;
        font-weight: 600;
        font-size: 16px;
        letter-spacing: 1.2px;
    }


.footer-container .main-container .footer-logo {
    height: 55px;
    padding: 10px 0px;
}

.footer-container .main-container .footer-about {
    color: white;
    margin-top: 20px;
    text-indent: 50px;
    word-break: break-all;
}

.footer-container::before {
    background-color: rgba(0, 0, 0, 0.99); /* thin black transparent layer */
    content: "";
    position: absolute;
    inset: 0;
    pointer-events: none;
}

.footer-container > * {
    position: relative;
    z-index: 2;
}


.footer-bottom {
    background-color: rgba(0, 0, 0, 0.8);
    padding: 10px;
}

    .footer-bottom h6 {
        color: white;
        font-weight: 400;
    }

    .footer-bottom a {
        color: white;
        font-weight: 400;
    }



@media (max-width: 768px) {
    .footer-container .quick-links {
        margin-left: 0px !important;
    }
}
